Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051511 - Inappropriate description of roles in web.xml
Summary: Inappropriate description of roles in web.xml
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER1
: 6.0.1
Assignee: David Gutierrez
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 13:28 UTC by Radovan Synek
Modified: 2014-08-06 19:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Consequence: Description of roles in business-central.war/WEB-INF/web.xml is incorrect. Workaround (if any): Result: The correct description can be found in BRMS Getting Started Guide, chapter 2.3. Defining Roles.
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Radovan Synek 2014-01-10 13:28:24 UTC
web.xml in business-central/WEB-INF of BRMS product contains definition and description of roles: admin, analyst. However the description of analyst role points to features available in BPMS product only.

"Analyst - Responsible for creating and designing processes
      into the system. Creates process flows and handles
      process change requests. Needs to test processes that
      they create. Also creates forms and dashboards."

There are no forms and dashboards and no runtime for process instances in BRMS.
The description for admin role is also incorrect: 
"Administrates the BPMS system." - should be of course "Administrates the BRMS system".

Comment 1 David Gutierrez 2014-01-17 17:02:29 UTC
Does the following definitions make sense?

Administrator - Administrates the BRMS system. Has full access
                rights to make any changes necessary. Also has the
                ability to add and remove users from the system.

Analyst - "Responsible for authoring rules within the system and 
           authoring tests for those rules"

Comment 2 Radovan Synek 2014-01-17 17:52:22 UTC
This description suits better, thanks!

Comment 3 Prakash Aradhya 2014-01-20 15:59:07 UTC
sounds good

Comment 5 Radovan Synek 2014-02-19 15:35:49 UTC
verified with BRMS-6.0.1.ER1

Comment 6 Radovan Synek 2014-03-18 15:19:35 UTC
qe_test_coverage: reason in summary - just incorrect description


Note You need to log in before you can comment on or make changes to this bug.